close this bookTidBITS#247   19941010
View the documentMailBITS/10-Oct-94
View the documentApple Cool Tools Awards
View the documentSystem 7.5 & Language Kits
View the documentOlder Hard Disk ToolKit Driver Buggy
View the documentFirewalls, Part II
View the documentReviews/10-Oct-94
View the documentFoot Notes

System 7.5 & Language Kits

by David Herren <herren@middlebury.edu>

Despite reports, we have been happily using the Japanese and Chinese Language Kits, as well as Arabic, Cyrillic, and Hebrew with System 7.5. To make them to work for you:

  • Install a clean version of 7.5. That is, don't install it on top of an older system. As a tip, press Command-Shift-K once in the main Installer window. If you choose Install New System Folder, your old one will be renamed Previous System Folder and you'll get a new clean one.

  • Don't install QuickDraw GX.

  • Remove the WorldScript Power Adapter file from the Extensions folder. This should be rev 7.5.1.

  • Install version 1.1 of the Japanese Language Kit (JLK). Then install Chinese Language Kit (CLK) 1.1. These two kits install the older version (7.2.1) of the WorldScript Power Adapter which seems not to cause any problems.

We've done testing so far on the Quadra 650, Centris 650, Quadra 660AV, Quadra 840AV, PowerBook 520c, and the Power Mac 6100. On the 6100, we're not having any difficulties even with the 7.5 release of the Power Adapter.

The 1.0 releases of the CLK and JLK do NOT work with 7.5, but 1.1 works as expected. Apple recommends the 1.1.1 release, but I've been unable to locate those versions and they certainly haven't appeared on any of the developer CDs.